local AssignSoldier = ...

-- Register all stone gate set building parts and their properties
AssignSoldier:dofile("scripts/basicLadder.lua")

-- Register the stone gate set monument
AssignSoldier:override({
    Id = "STONE_GATE_V5_MONUMENT",
    BuildingPartSetList = {
                Action = "APPEND",
		{
			Name = "STONE_GATE_V5_ENTRANCE_PARTSETLIST_NAME",
                	BuildingPartList = {
                            "ASSIGN_SOLDIER_LADDER5_ROOT_PART", -- Door keeping
                            "ASSIGN_SOLDIER_LADDER1_ROOT_PART", -- Keep and Main trapdoor
                            "ASSIGN_SOLDIER_LADDER8_ROOT_PART", -- Keep and Main trapdoor for machicolations
                            "ASSIGN_SOLDIER_LADDER2_ROOT_PART", -- Small gate A left
                            "ASSIGN_SOLDIER_LADDER3_ROOT_PART", -- Small gate A right
                            "ASSIGN_SOLDIER_LADDER6_ROOT_PART", -- Small gate B left
                            "ASSIGN_SOLDIER_LADDER7_ROOT_PART", -- Small gate B right
                            "ASSIGN_SOLDIER_LADDER4_ROOT_PART", -- Octogonal tower trapdoor
                            "ASSIGN_SOLDIER_LADDER9_ROOT_PART", -- Octogonal tower trapdoor for machicolations
                            "ASSIGN_SOLDIER_LADDER10_ROOT_PART", -- Octogonal tower door from Small tower
                            "ASSIGN_SOLDIER_LADDER11_ROOT_PART", -- Octogonal tower door from Small tower for machicolations
                            "ASSIGN_SOLDIER_LADDER12_ROOT_PART", -- Free ladder
                            "ASSIGN_SOLDIER_LADDER13_ROOT_PART"  -- Accurate free ladder 
                        }
                }
    }
})
